purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Label

Synopsis

- newtype Label = Label {
  - runLabel :: PSString
  }

# Documentation

newtype Label #

Labels are used as record keys and row entry names. Labels newtype PSString because records are indexable by PureScript strings at runtime.

Constructors

Label |

Fields

- runLabel :: PSString

#### Instances

Instances details

FromJSON Label # |
Instance details Defined in Language.PureScript.Label Methods parseJSON :: Value -> Parser Label # parseJSONList :: Value -> Parser [Label] # omittedField :: Maybe Label #
ToJSON Label # |
Instance details Defined in Language.PureScript.Label Methods toJSON :: Label -> Value # toEncoding :: Label -> Encoding # toJSONList :: [Label] -> Value # toEncodingList :: [Label] -> Encoding # omitField :: Label -> Bool #
NFData Label # |
Instance details Defined in Language.PureScript.Label Methods rnf :: Label -> () #
Monoid Label # |
Instance details Defined in Language.PureScript.Label Methods mempty :: Label # mappend :: Label -> Label -> Label # mconcat :: [Label] -> Label #
Semigroup Label # |
Instance details Defined in Language.PureScript.Label Methods (<>) :: Label -> Label -> Label # sconcat :: NonEmpty Label -> Label # stimes :: Integral b => b -> Label -> Label #
IsString Label # |
Instance details Defined in Language.PureScript.Label Methods fromString :: String -> Label #
Generic Label # |

Instance details

Defined in Language.PureScript.Label

Associated Types

type Rep Label |
Instance details Defined in Language.PureScript.Label type Rep Label = D1 ('MetaData "Label" "Language.PureScript.Label" "purescript-0.15.15-8K0LbmS63k4ILju2RsIrDp" 'True) (C1 ('MetaCons "Label" 'PrefixI 'True) (S1 ('MetaSel ('Just "runLabel") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PSString)))

Methods

from :: Label -> Rep Label x #

to :: Rep Label x -> Label #

Show Label # |
Instance details Defined in Language.PureScript.Label Methods showsPrec :: Int -> Label -> ShowS # show :: Label -> String # showList :: [Label] -> ShowS #
Eq Label # |
Instance details Defined in Language.PureScript.Label Methods (==) :: Label -> Label -> Bool # (/=) :: Label -> Label -> Bool #
Ord Label # |
Instance details Defined in Language.PureScript.Label Methods compare :: Label -> Label -> Ordering # (<) :: Label -> Label -> Bool # (<=) :: Label -> Label -> Bool # (>) :: Label -> Label -> Bool # (>=) :: Label -> Label -> Bool # max :: Label -> Label -> Label # min :: Label -> Label -> Label #
Serialise Label # |
Instance details Defined in Language.PureScript.Label Methods encode :: Label -> Encoding # decode :: Decoder s Label # encodeList :: [Label] -> Encoding # decodeList :: Decoder s [Label] #
type Rep Label # |
Instance details Defined in Language.PureScript.Label type Rep Label = D1 ('MetaData "Label" "Language.PureScript.Label" "purescript-0.15.15-8K0LbmS63k4ILju2RsIrDp" 'True) (C1 ('MetaCons "Label" 'PrefixI 'True) (S1 ('MetaSel ('Just "runLabel") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PSString)))